| optoMDC

Loading...
Searching...
No Matches
optoMDC.registers.mre2_registers.MRE2StaticInput Class Reference
Inheritance diagram for optoMDC.registers.mre2_registers.MRE2StaticInput:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| SetOF (self, value)
| GetOF (self)
| SetAngle (self, value)
| GetAngle (self)
| SetXY (self, value)
| GetXY (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x50 | channel
dict | of
dict | xy
| name = self.__class__.__name__

## Protected Attributes
bool | _readonly = False
| _channel

## Detailed Description

    Input Channel Systems - USB/UART
    System IDs: 0x50 through 0x57

    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | Register Name  | Id   | Type        | Unit     | Range       | Default | Comment                               |
    +================+======+=============+==========+=============+=========+=======================================+
    | current        | 0x00 | float 32-bit| A        | -0.7 to 0.7 | 0.0     |                                       |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | of             | 0x01 | float 32-bit| None     | -1 to 1     | 0.0     |                                       |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | xy             | 0x02    | float 32-bit| Degrees  | -1 to 1  | 0.0     |                                       |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre2_registers.MRE2StaticInput.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ GetAngle()

optoMDC.registers.mre2_registers.MRE2StaticInput.GetAngle | ( |  | self | ) |

## ◆ GetOF()

optoMDC.registers.mre2_registers.MRE2StaticInput.GetOF | ( |  | self | ) |

## ◆ GetXY()

optoMDC.registers.mre2_registers.MRE2StaticInput.GetXY | ( |  | self | ) |

## ◆ help()

optoMDC.registers.mre2_registers.MRE2StaticInput.help | ( |  | ) |
| static

## ◆ SetAngle()

optoMDC.registers.mre2_registers.MRE2StaticInput.SetAngle | ( |  | self,
|  |  | value )

## ◆ SetOF()

optoMDC.registers.mre2_registers.MRE2StaticInput.SetOF | ( |  | self,
|  |  | value )

## ◆ SetXY()

optoMDC.registers.mre2_registers.MRE2StaticInput.SetXY | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ _channel

optoMDC.registers.mre2_registers.MRE2StaticInput._channel
| protected

## ◆ _readonly

bool optoMDC.registers.mre2_registers.MRE2StaticInput._readonly = False
| protected

## ◆ name

optoMDC.registers.mre2_registers.MRE2StaticInput.name = self.__class__.__name__

## ◆ of

dict optoMDC.registers.mre2_registers.MRE2StaticInput.of

Initial value:
= {'id': self.sys_id << 8 | 0x01,
'type': float,
'unit': None,
'range': [-1, 1],
'default': 0.0,
'value': 0.0}

## ◆ sys_id

int optoMDC.registers.mre2_registers.MRE2StaticInput.sys_id = 0x50 | channel

## ◆ xy

dict optoMDC.registers.mre2_registers.MRE2StaticInput.xy

Initial value:
= {'id': self.sys_id << 8 | 0x02,
'type': float,
'unit': 'Degrees',
'range': [-1, 1],
'default': 0.0,
'value': 0.0}

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre2_registers.py